package com.ruoyi.llm.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc聊天主题对象 cmc_topic
 * 
 * @author cmc
 * @date 2025-04-08
 */
public class CmcTopic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 聊天主题id */
    private String topicId;

    /** 主题 */
    @Excel(name = "主题")
    private String topic;

    public void setTopicId(String topicId) 
    {
        this.topicId = topicId;
    }

    public String getTopicId() 
    {
        return topicId;
    }
    public void setTopic(String topic) 
    {
        this.topic = topic;
    }

    public String getTopic() 
    {
        return topic;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("topicId", getTopicId())
            .append("topic", getTopic())
            .append("createTime", getCreateTime())
            .toString();
    }
}
